# $Revision: 1.77 $, $Date: 2002/11/15 14:05:39 $
#
# Conditional build:
# _without_jconv	- without jconv support
#
Summary:	GTK+ based fast e-mail client
Summary(pl):	Szybki klient poczty bazujcy na GTK+
Summary(pt_BR):	Um rpido e leve cliente de email baseado em GTK+
Name:		sylpheed
Version:	0.8.6
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://sylpheed.good-day.net/sylpheed/%{name}-%{version}.tar.bz2
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-desktop.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	faces-devel
BuildRequires:	gettext-devel
BuildRequires:	gdk-pixbuf-devel >= 0.8
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	gpgme-devel
%{!?_without_jconv:BuildRequires:	libjconv-devel}
BuildRequires:	libtool
BuildRequires:	openssl-devel
Requires:	faces
Requires:	mailcap
URL:		http://sylpheed.good-day.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	sylpheed-claws

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
This program is an X based fast e-mail client which has features (or
go for it :-)) like:
- user-friendly and intuitive interface
- integrated NetNews client (partially implemented)
- ability of keyboard-only operation
- Mew/Wanderlust-like key bind
- multipart MIME
- unlimited multiple account handling
- assortment function
- address book
- SSL support

%description -l pl
Szybki klient poczty o moliwociach takich jak
- o przyjazny, intuicyjny interfejs uytkownika
- zintegrowany klient USENET
- moliwo pracy wycznie przy uyciu klawiatury
- klawiszologia typu Mew/Wanderlust
- obsuga wieloczciowych MIME
- obsuga dowolnej iloci kont pocztowych
- funkcje sortowania o ksika adresowa
- wsparcie szyfrowania SSL

%description -l pt_BR
Este programa  um rpido cliente de email modo grfico o qual possui
recursos como:
- interface grfica intuitiva e amigvel
- cliente integrado de notcias (parcialmente implementado)
- habilitado para operaco a partir do teclado
- Mew/Wanderlust-like key bind
- multipart MIME
- controle de mltiplas contas de email (sem limite)
- armazenamento de mensagens
- funco de ordenaco/classificaco de mensagens
- catlogo de enderecos XML-based

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
#%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{!?_without_jconv:en}%{?_without_jconv:dis}able-jconv \
	--enable-gdk-pixbuf \
	--enable-threads \
	--enable-ssl \
	--enable-ipv6 \
	--enable-gpgme

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_applnkdir}/Network/Mail,%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \

install %{name}.desktop $RPM_BUILD_ROOT%{_applnkdir}/Network/Mail
install %{name}.png $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/manual
%{_datadir}/%{name}/manual/en
%lang(ja) %{_datadir}/%{name}/manual/ja
%dir %{_datadir}/%{name}/faq
%{_datadir}/%{name}/faq/en
%lang(de) %{_datadir}/%{name}/faq/de
%lang(es) %{_datadir}/%{name}/faq/es
%lang(fr) %{_datadir}/%{name}/faq/fr
%lang(it) %{_datadir}/%{name}/faq/it
%{_applnkdir}/Network/Mail/*
%{_pixmapsdir}/sylpheed.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: sylpheed.spec,v $
Revision 1.77  2002/11/15 14:05:39  krolik

- updated to new 0.8.6 version

Revision 1.76  2002/10/03 17:12:25  aflinta
- updated to version 0.8.5

Revision 1.75  2002/10/01 12:50:26  aflinta
- updated to version 0.8.4

Revision 1.74  2002/09/17 18:26:07  kloczek
- more macros.

Revision 1.73  2002/09/15 12:41:01  aflinta
- updated to versin 0.8.3
- removed BR: imlib-devel which is not needed cause we have gdk-pixbuf

Revision 1.72  2002/08/28 21:16:14  aflinta
- gettextize suck
- gtk-html is not needed
- original icon
- release 3

Revision 1.71  2002/08/28 10:37:29  zytek
- reversed bcond for jconv (UTF support)
- release 2

Revision 1.70  2002/08/26 15:33:08  kloczek
- (auto)updated to 0.8.2.

Revision 1.69  2002/08/18 13:47:00  kloczek
- added "Requires: mailcap" (sylpheed uses /etc/mime.types).

Revision 1.68  2002/08/18 13:44:15  kloczek
- updated to 0.8.1,
- added build conditionaly with jconv (disabled by default).

Revision 1.67  2002/07/17 19:34:35  kloczek
- updated to 0.8.0.

Revision 1.66  2002/06/25 17:52:05  qboosh
- BR: libjconv-devel, not Requires

Revision 1.65  2002/06/25 15:58:51  zytek
- --enable-jconv now default, not bcond'ed so we have UTF-8 !

Revision 1.64  2002/06/17 20:23:43  kloczek
- updated to 0.7.8 (bug fixes),
- full regenerate ac/am/lt/gt files is back (added ac_fixes patch).

Revision 1.63  2002/06/10 06:07:06  aflinta
- updated to version 0.7.7
- changed _with_jconv to _without_jconv
- STBR

Revision 1.62  2002/05/12 16:50:59  pioklo
-up to 0.7.6,STBR

Revision 1.61  2002/04/30 06:16:22  filon
- add gnupg (by gpgme) support
- added docs in other languages
- release 1, STBR (works OK)
- (auto* are not needed, nonetheless they work for me...)

Revision 1.60  2002/04/21 20:04:04  djrzulf
- updated to 0.7.5,
- compiles (without auto*) and works fine,
- it doesn't compile with auto*, if you think that it isn't needed, set
  Release to 1 and STBR,

Revision 1.59  2002/03/28 21:01:35  kloczek
- merge translations from Cnectiva.

Revision 1.58  2002/03/27 23:52:05  zytek
- rel 1

Revision 1.57  2002/03/11 22:47:58  adasi
 - updated sylpheed-tmpdir.patch for 0.7.4.
 - It could be not needed, has to be checked by someone who knows better

Revision 1.56  2002/03/11 22:10:48  zytek
- update to 0.7.4

Revision 1.55  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.54  2002/02/22 23:29:46  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.53  2002/02/20 16:55:51  zytek
- Conflicts -> Obsoletes (sylpheed-claws)

Revision 1.52  2002/02/19 19:40:43  zytek
- added icon, now sylpheed is much better ;)
- release 3, STBR

Revision 1.51  2002/02/17 15:45:31  kloczek
- cosmetics.


Revision 1.50  2002/02/17 15:25:52  zytek
- added conflict with sylpheed-claws
- release 2
- STB

Revision 1.49  2002/02/16 20:10:13  kloczek
- updated to 0.7.2 (new stable version).

Revision 1.48  2002/02/12 01:05:13  kloczek
- removed %patch1.

Revision 1.47  2002/02/12 00:56:57  kloczek
- updated to 0.7.1 (new feactures, bugfixes),
- removed outdated pl patch.

Revision 1.46  2002/02/07 20:28:48  alchemyx
- added patch fixing polish translation (too many %d's could cause segmentation
  fault)
- release 2, STB

Revision 1.45  2002/02/07 17:38:18  klakier
- It's sometimes usefull to have english manual, not only japaneese ;)

Revision 1.44  2002/01/18 02:15:06  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.43  2002/01/14 00:22:21  kloczek
- updated to 0.7.0 (mostly new feactures but also many bugfixes are included
  in this version).

Revision 1.42  2001/12/17 13:18:05  kura
- release 2
- added sylpheed-tmpdir.patch

Revision 1.41  2001/12/15 23:49:26  aflinta
- updated to version 0.6.6
- removed obsolete patches

Revision 1.40  2001/11/21 15:09:26  alchemyx
- adapterized
- state of 3 hashed patches is unknown
- release 2
- STB

Revision 1.39  2001/11/21 14:45:53  alchemyx
- fixed descriptions
- SSL support added
- still some things to do

Revision 1.38  2001/11/08 09:59:08  kloczek
- reease 2.

Revision 1.37  2001/11/08 08:02:36  tiwek
- updated polish translations to current 0.6.5 version (STBR)

Revision 1.36  2001/11/07 21:13:16  djrzulf
- updated do 0.6.5

Revision 1.35  2001/10/22 06:26:52  tiwek
- updated to 0.6.4 (STB)

Revision 1.34  2001/10/09 07:34:39  tiwek
- new version 0.6.3

Revision 1.33  2001/10/05 23:15:44  kloczek
- release 4.

Revision 1.32  2001/10/05 12:57:39  depesz
added:
- patch that allows forwarding with attachments

Revision 1.31  2001/10/01 22:58:11  kloczek
- release 3.

Revision 1.30  2001/10/01 22:16:18  filon
- commited with commented patches by mistake, fixed

Revision 1.29  2001/09/29 20:35:43  filon
- added BReq: imlib-devel

Revision 1.28  2001/09/17 13:17:15  tiwek
- added new polish locale

Revision 1.27  2001/09/17 09:36:26  kura
- updated to 0.6.2

Revision 1.26  2001/09/02 22:06:08  aflinta
- updated to version 0.6.1

Revision 1.25  2001/09/01 05:00:18  kloczek
- updated to 0.6.0,
- s/imlib-devel/gdk-pixbuf-vedel/ in BuildRequires,
- removed gal-devel from BuildRequires,
- removed outdated patches.

Revision 1.24  2001/08/28 18:04:36  filon
s/nieskoczonej/dowolnej/g

Revision 1.23  2001/08/26 15:29:59  depesz
- new patches fixing some bugs in 0.5.3 release
- old patches cleaned up
- gtkhtml patch still in place, even so it doesn't really work - to be checked
	later
- new release
- ready to rebuild

Revision 1.22  2001/08/22 17:46:38  filon
- changed Group to X11/Aplications/Networking

Revision 1.21  2001/08/21 18:47:01  filon
- added bcond: _with_jconv, which gives much wider choice in message codesets, but with it sylpheed behave somewhat strange

Revision 1.20  2001/08/20 12:11:12  kura
- release 2
- forward patch is back

Revision 1.19  2001/08/20 08:16:26  aflinta
- updated to version 5.3

Revision 1.18  2001/08/02 18:00:29  aflinta
 - updated to 0.5.2 (now include polish language support)

Revision 1.17  2001/07/30 09:54:24  kloczek
- enable some patches.

Revision 1.16  2001/07/30 09:12:20  aflinta
- updated to version 0.5.1

Revision 1.15  2001/07/26 10:33:10  kloczek
- reelase 2: rebuild against gal 0.9.

Revision 1.14  2001/07/06 15:39:27  kura
- updated to 0.5.0 (STBR)

Revision 1.13  2001/06/28 21:54:52  kloczek
- release 2: rebuild against gtkhtml linked with gal 0.8.

Revision 1.12  2001/06/18 09:41:47  kura
- updated to 0.4.99

Revision 1.11  2001/05/17 06:20:17  depesz
- added new patch
- new release
- ready to rebuild

Revision 1.10  2001/05/13 10:11:00  depesz
- new patches
- new release
- ready to rebuild

Revision 1.9  2001/05/12 21:11:27  kloczek
- cosmetics.

Revision 1.8  2001/05/12 10:59:09  misiek
- fix linking with gtkhtml
- release 3

Revision 1.7  2001/05/11 12:57:08  misiek
- BuildRequires:	gtkhtml-devel >= 0.9.2
- release 2

Revision 1.6  2001/05/11 10:35:54  depesz
- added patch to show html-mail
- new release
- ready to rebuild

Revision 1.5  2001/05/10 13:25:23  depesz
- added patch for forwarding with attachments.

Revision 1.4  2001/05/10 06:48:25  depesz
- new version
- ready to be built

Revision 1.3  2001/05/01 18:18:11  misiek
- updated to 0.4.65
- enabled ipv6 and threads
- DESTDIR patch no longer needed

Revision 1.2  2001/04/27 07:15:15  kloczek
- adapterized,
- added using %%find_lang macro,
- some cosmetics.

Revision 1.1  2001/04/26 08:38:31  kura
[ very nice mail/news reader for X ]
- version 0.4.64
- NFY: DESTDIR patch is needed
